interface RemoveBgOptions {
    apiKey: string;
    /**
     * Output resolution.
     * "regular" default (up to 0.25 megapixels), which costs 1 credit.
     * "medium" (up to 1.5 megapixels) costs 3.
     * "hd" (up to 4 megapixels) costs 5.
     * "4k" (up to 10 megapixels) costs 8.
     */
    size?: "regular" | "medium" | "hd" | "4k";
    outputFile?: string;
}
export interface RemoveBgUrlOptions extends RemoveBgOptions {
    url: string;
}
export interface RemoveBgBase64Options extends RemoveBgOptions {
    base64img: string;
}
export interface RemoveBgFileOptions extends RemoveBgOptions {
    path: string;
}
export interface RemoveBgResult {
    base64img: string;
    creditsCharged: number;
    resultWidth: number;
    resultHeight: number;
}
export interface RemoveBgError {
    title: string;
    detail: string;
}
export declare function removeBackgroundFromImageUrl(options: RemoveBgUrlOptions): Promise<RemoveBgResult>;
export declare function removeBackgroundFromImageFile(options: RemoveBgFileOptions): Promise<RemoveBgResult>;
export declare function removeBackgroundFromImageBase64(options: RemoveBgBase64Options): Promise<RemoveBgResult>;
export {};
